Home / API Documentation / Project management / Quota of projects / Differentiate update the status of project quotas

Differentiate update the status of project quotas

Requests

HTTP request

PATCH /apis/auth.alauda.io/v1/projectquotas/{name}/status

partially update status of the specified ProjectQuota

Path parameters

Name Type Required Description
name string Truename of the ProjectQuota

Query parameters

Name Type Required Description
dryRun string FalseWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldManager string FalsefieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint.
pretty string FalseIf 'true', then the output is pretty printed.

Request body

Content-Type application/json-patch+json, application/merge-patch+json, application/apply-patch+yaml

Sample request

Patch is provided to give a concrete name and type to the Kubernetes PATCH request body.

{
   "status": {
     "hard": {
       "pods": "200"
     },
     "used": {
       "pods": "10"
     }
   }
 }

Responses

Content-Type application/json, application/yaml

Status code: 200

OK

Sample response

{
   "apiVersion": "auth.alauda.io/v1",
   "kind": "ProjectQuota",
   "metadata": {
     "creationTimestamp": "2021-06-24T12:15:46Z",
     "generation": 1,
     "labels": {
       "cpaas.io/cluster.name": "global",
       "cpaas.io/cluster.type": "",
       "cpaas.io/project": "cpaas"
     },
     "name": "cpaas",
     "resourceVersion": "3604075",
     "selfLink": "/apis/auth.alauda.io/v1/projectquotas/cpaas",
     "uid": "88938232-0f2f-4921-bbd6-bbae820fab2d"
   },
   "spec": {
     "hard": {
       "limits.cpu": "500",
       "limits.memory": "200Gi",
       "persistentVolumeclaims": "200",
       "pods": "200",
       "requests.cpu": "500",
       "requests.memory": "200Gi",
       "requests.storage": "200Gi"
     }
   },
   "status": {
     "hard": {
       "pods": "200"
     },
     "used": {
       "pods": "10"
     }
   }
 }

Parameters

Name Type Description
apiVersion string See common parameters
kind string See common parameters
metadata object See common parameters
spec object Spec is the specification of the project. This may or may not be reconciled by an active controller.
Path: spec
spec.hard object record the quota info of project.
Path: spec.hard
status object Status is the status of the project.
Path: status
status.hard object record the quota info used by namespaces under project.
Path: status.hard
status.used object record the real usage of quota info consumed by workload under namespaces in project.
Path: status.used

Other status codes

Status code: 401

Unauthorized